Discontinue items in subscription
curl --request POST \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/discontinued-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": [
"MOBO-X570"
]
}
'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/discontinued-items"
payload = { "sku": ["MOBO-X570"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sku: ['MOBO-X570']})
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/discontinued-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "This request to replace items is currently being processed. Once done, we will update you via your webhooks (your webhooks need to be configured). Refer to our documentation on more information on webhooks."
}Subscriptions
Discontinue items in subscription
Discontinue items in subscription by specifying item SKUs
POST
/
v1
/
subscriptions
/
discontinued-items
Discontinue items in subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
SKUs of items to be discontinued
SKUs
Item SKU
Response
200 - application/json
Request processed successfully
Replace item response
Brief response status
Example:
"OK"
Full response message
Example:
"This request to replace items is currently being processed. Once done, we will update you via your webhooks (your webhooks need to be configured). Refer to our documentation on more information on webhooks."
Was this page helpful?
